import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:get_it/get_it.dart';
import 'package:okane/database/sqlite.dart';
import 'package:okane/i18n/strings.g.dart';
import 'package:okane/ui/state/core.dart';
import 'package:okane/ui/utils.dart';
import 'package:okane/ui/widgets/piechart_card.dart';

class TotalLoanCard extends StatelessWidget {
  const TotalLoanCard({super.key});

  @override
  Widget build(BuildContext context) {
    return BlocBuilder<CoreCubit, CoreState>(
      builder: (context, state) {
        return ResponsiveCard(
          titleText: "Loan Sum",
          child: Padding(
            padding: EdgeInsets.all(16),
            child: FutureBuilder(
              future: GetIt.I.get<OkaneDatabase>().loansDao.getTotalLoanSum(),
              builder: (context, snapshot) {
                return Text(
                  snapshot.hasData
                      ? formatCurrency(snapshot.data!)
                      : t.pages.accounts.totalBalance.loading,
                  style: Theme.of(context).textTheme.bodyLarge,
                );
              },
            ),
          ),
        );
      },
    );
  }
}
